org.mariadb.jdbc.internal.queryresults

## Class ResultsRewrite

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.Results
  - - org.mariadb.jdbc.internal.queryresults.ResultsRewrite

    public class ResultsRewrite
    extends Results

### Constructor Summary

Constructors
Constructor and Description
`ResultsRewrite(MariaDbStatement statement, int fetchSize, boolean batch, int expectedSize, boolean binaryFormat, int resultSetScrollType)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStats(int updateCount, long insertId, boolean moreResultAvailable)` Add execution statistics.
`void` `addStatsError(boolean moreResultAvailable)` Indicate that result is an Error, to set appropriate results.
`int` `getCurrentStatNumber()`
`boolean` `isBatch()`
`void` `setAutoIncrement(int autoIncrement)`

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.Results

`addResultSet, commandEnd, getCallableResultSet, getCmdInformation, getExpectedSize, getFetchSize, getMoreResults, getResultSet, getResultSetScrollType, getStatement, isBinaryFormat, loadFully, removeFetchSize, setCmdInformation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultsRewrite

    public ResultsRewrite(MariaDbStatement statement,
                          int fetchSize,
                          boolean batch,
                          int expectedSize,
                          boolean binaryFormat,
                          int resultSetScrollType)

Default constructor.

Parameters:
  `statement` - current statement
  `fetchSize` - fetch size
  `batch` - select result possible
  `expectedSize` - expected size
  `binaryFormat` - use binary protocol
  `resultSetScrollType` - one of the following `ResultSet` constants: `ResultSet.TYPE_FORWARD_ONLY`, `ResultSet.TYPE_SCROLL_INSENSITIVE`, or `ResultSet.TYPE_SCROLL_SENSITIVE`

### Method Detail

#### addStats

    public void addStats(int updateCount,
                         long insertId,
                         boolean moreResultAvailable)

Add execution statistics.

Overrides:
  `addStats` in class `Results`
Parameters:
  `updateCount` - number of updated rows
  `insertId` - primary key
  `moreResultAvailable` - is there additional packet

#### addStatsError

    public void addStatsError(boolean moreResultAvailable)

Description copied from class: `Results`
Indicate that result is an Error, to set appropriate results.

Overrides:
  `addStatsError` in class `Results`
Parameters:
  `moreResultAvailable` - indicate if other results (ResultSet or updateCount) are available.

#### getCurrentStatNumber

    public int getCurrentStatNumber()

Overrides:
  `getCurrentStatNumber` in class `Results`

#### isBatch

    public boolean isBatch()

Overrides:
  `isBatch` in class `Results`

#### setAutoIncrement

    public void setAutoIncrement(int autoIncrement)